//
//  SBSDKPDFRendererPageOrientation.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 07.12.23.
//

import Foundation
import ScanbotSDK

extension SBSDKPDFRendererPageOrientation {
    init(string: String) {
        switch string {
        case "PORTRAIT": self = .portrait
        case "LANDSCAPE": self = .landscape
        case "AUTO": self = .auto
        default: self = .auto
        } 
    }
    
    init?(from dictionary: [String: Any]) {
        guard let options = dictionary["options"] as? [String: Any],
            let string = options["pageDirection"] as? String else {
            return nil
        }
        self.init(string: string)
    }
}
