//
//  SdkDocumentQuality.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 06.12.23.
//

import Foundation
import ScanbotSDK

extension SBSDKDocumentQuality {
    var encodedJson: [String: Any] {
        var result: [String: Any] = [:]
        switch (self){
        case .noDocument:
            result["documentQuality"] = "NO_DOCUMENT"
        case .veryPoor:
            result["documentQuality"] = "VERY_POOR"
        case .poor:
            result["documentQuality"] = "POOR"
        case .reasonable:
            result["documentQuality"] = "REASONABLE"
        case .good:
            result["documentQuality"] = "GOOD" 
        case .excellent:
            result["documentQuality"] = "EXCELLENT"
        @unknown default:
            result["documentQuality"] = "Undefined"
        }
        return result
    }
}
